Favorite Movies
curl --request GET \
--url https://api.themoviedb.org/4/account/{account_object_id}/movie/favorites \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/4/account/{account_object_id}/movie/favorites"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/4/account/{account_object_id}/movie/favorites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/hZkgoQYus5vegHoetLkCJzb17zJ.jpg",
"genre_ids": [
18
],
"id": 550,
"original_language": "en",
"original_title": "Fight Club",
"overview": "A ticking-time-bomb insomniac and a slippery soap salesman channel primal male aggression into a shocking new form of therapy. Their concept catches on, with underground \"fight clubs\" forming in every town, until an eccentric gets in the way and ignites an out-of-control spiral toward oblivion.",
"popularity": 129.668,
"poster_path": "/pB8BM7pdSp6B6Ih7QZ4DrQ3PmJK.jpg",
"release_date": "1999-10-15",
"title": "Fight Club",
"video": false,
"vote_average": 8.438,
"vote_count": 29909
},
{
"adult": false,
"backdrop_path": "/xZm5YUNY3PlYD1Q4k7X8zd2V4AK.jpg",
"genre_ids": [
28,
35
],
"id": 993710,
"original_language": "en",
"original_title": "Back in Action",
"overview": "Fifteen years after vanishing from the CIA to start a family, elite spies Matt and Emily jump back into the world of espionage when their cover is blown.",
"popularity": 568.089,
"poster_path": "/3L3l6LsiLGHkTG4RFB2aBA6BttB.jpg",
"release_date": "2025-01-15",
"title": "Back in Action",
"video": false,
"vote_average": 6.486,
"vote_count": 1053
}
],
"total_pages": 1,
"total_results": 2
}Favorite Movies
This endpoint get a user’s list of favorite movies
GET
/
4
/
account
/
{account_object_id}
/
movie
/
favorites
Favorite Movies
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
the page number
The ISO 639-1 code for the language
Available options:
created_at.asc, created_at.desc Response
200 - application/json
Favorite Movies
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"adult": false,
"backdrop_path": "/hZkgoQYus5vegHoetLkCJzb17zJ.jpg",
"genre_ids": [18],
"id": 550,
"original_language": "en",
"original_title": "Fight Club",
"overview": "A ticking-time-bomb insomniac and a slippery soap salesman channel primal male aggression into a shocking new form of therapy. Their concept catches on, with underground \"fight clubs\" forming in every town, until an eccentric gets in the way and ignites an out-of-control spiral toward oblivion.",
"popularity": 129.668,
"poster_path": "/pB8BM7pdSp6B6Ih7QZ4DrQ3PmJK.jpg",
"release_date": "1999-10-15",
"title": "Fight Club",
"video": false,
"vote_average": 8.438,
"vote_count": 29909
},
{
"adult": false,
"backdrop_path": "/xZm5YUNY3PlYD1Q4k7X8zd2V4AK.jpg",
"genre_ids": [28, 35],
"id": 993710,
"original_language": "en",
"original_title": "Back in Action",
"overview": "Fifteen years after vanishing from the CIA to start a family, elite spies Matt and Emily jump back into the world of espionage when their cover is blown.",
"popularity": 568.089,
"poster_path": "/3L3l6LsiLGHkTG4RFB2aBA6BttB.jpg",
"release_date": "2025-01-15",
"title": "Back in Action",
"video": false,
"vote_average": 6.486,
"vote_count": 1053
}
]
Example:
1
Example:
2
⌘I